@echo off

setlocal

set INPUTDIR=.\ClipboardViewer\bin\release\
set OUTPUTDIR=..\bin\

REM Create output directory.

if not exist "%OUTPUTDIR%" mkdir "%OUTPUTDIR%"

REM Check and copy files.

if not exist "%INPUTDIR%" (
	echo.
	echo.
	echo ERROR: Input directory ^"%INPUTDIR%^" does not exist! Rebuild the solution beforehand.
	goto ERROR_INPUT
)

echo.
echo Copy files...

for %%I in ("%INPUTDIR%*.*") do (
	echo Copy file ^"%%I^" into ^"%OUTPUTDIR%^" directory.
	copy "%%I" "%OUTPUTDIR%" /y > nul
)

REM Cleanup...

endlocal
set ERRORLEVEL=0
goto END_BATCH

:ERROR_INPUT
echo.
endlocal
set ERRORLEVEL=1
goto END_BATCH

:END_BATCH

pause